<?
$system['title'] = 'Проверка Доменов';
require SYS . 'header.php';

if (isset($_GET['domen'])) {


$siteDomen = urldecode($_GET['domen']);

 if (preg_match("#([-a-zA-Zа-яА-Я0-9]{1,63})([\.]{1})([a-zA-Zа-яА-Я]{1,10})#i", $siteDomen) or preg_match("#([w]{1,3})([\.]{1})([-a-zA-Zа-яА-Я0-9]{1,63})([\.]{1})([a-zA-Zа-яА-Я]{1,10})#", $siteDomen) or preg_match("#([-a-zA-Zа-яА-Я0-9]{1,63})([\.]{1})([-a-zA-Zа-яА-Я0-9]{1,63})([\.]{1})([a-zA-Zа-яА-Я]{1,10})#i", $siteDomen))
{

   function writeCacheBan($content, $filename) {
  $fp = fopen(ROOT.'/_servis/' . $filename, 'w');
  fwrite($fp, $content);
  fclose($fp);
}
      
      function readCacheBan($filename, $expiry) {
  if (file_exists(ROOT.'/_servis/' . $filename)) {
    if ((time() - $expiry) > filemtime('_servis/' . $filename))
      return FALSE;
    $cache = file(ROOT.'/_servis/' . $filename);
    return implode('', $cache);
  }
  return FALSE;
} 
 
  ob_start();
$name = md5($siteDomen .'DomenBrodaga');
if (!$main2_cache = readCacheBan($name.'.DomenBrodaga.cache', 86400)){



$file = file_get_contents('http://api.pr-cy.ru/analysis.json?domain='.$siteDomen.' ');
$data = json_decode($file, true);

if($data['error']){
?>
<div class='nav2'>Запрошенный сайт не найден в базе</div>
<div class='foot'><a href="/?func=sity.pr.cy">Назад</a></div>
<?
require SYS . 'end.php';
exit;
}

?><div class='nav2'><?
echo 'Сайт: <a href="http://'.$data['domain'].'" target="_blank" >'.$data['domain'].'</a><br/>';
echo 'Дата регистрации: '.$data['stats']['creationDate'].'<br/>';
echo 'Дата окончание регистрации: '.$data['stats']['expirationDate'].'<br/>';
echo 'Pr-Cy Rank: '.$data['stats']['prcyRank'].'<br/>';

?></div><?
?><div class='nav1'><?
echo 'Показатели <font color="red">Я</font>ндекс<br />';
echo '<font color="red">Я</font>ндекс тИЦ: '.$data['stats']['yandexCitation'].'<br/>';
echo '<font color="red">Я</font>ндекс ранг (toolbar): '.$data['stats']['yandexRang'].'<br/>';
echo 'Проиндексировано:  <a href="http://yandex.ru/yandsearch?text=host:'.$data['domain'].'* | host:www.'.$data['domain'].'*" target="_blank" >'.$data['stats']['yandexIndex'].'</a><br />';
//echo 'Упоминания <font color="red">Я</font>ндекс:  '.$data['stats']['yandexMentions'].'<br />';
?></div><?
?><div class='nav2'><?
echo 'Показатели <font color="blue">G</font><font color="red">o</font><font color="yellow">o</font><font color="blue">g</font><font color="red">le</font><br />';
echo '<font color="blue">G</font><font color="red">o</font><font color="yellow">o</font><font color="blue">g</font><font color="red">le</font> PR: '.$data['stats']['pageRank'].'/10<br />';
echo 'Проиндексировано:  <a href="https://www.google.com/search?q=site:'.$data['domain'].'" target="_blank" >'.$data['stats']['googleIndex'].'</a><br />';
//echo 'Упоминания <font color="blue">G</font><font color="red">o</font><font color="yellow">o</font><font color="blue">g</font><font color="red">le</font>:  '.$data['stats']['googleMentions'].'<br />';
?></div><?
  $main2_cache = ob_get_contents();
    ob_clean();
$name = md5($siteDomen .'DomenBrodaga');
    writeCacheBan($main2_cache,$name.'.DomenBrodaga.cache');
} 

ob_end_clean();
echo $main2_cache; 
}else{
?><div class='nav2'>Не верно Указан Домен</div><?
}
}
?>
<div class='nav2'>
Адрес сайта: (без http://)
<form class="form-search" action="/?" method="GET">
  <input type="hidden"  name="func" value="sity.pr.cy" />
  <input type="text" maxlength="30" class="input-medium search-query" name="domen" /><br />
  <button type="submit" class="btn">Проверить</button>
</form>
</div>
<div class='foot'>&laquo; <a href="/?func=wap.servis">назад</a></div>